<?php
function user_details_admin_settings() {
  $overview = t('The User Details module is a simple module to help the end-user find thier way around a website by adding a central location for important link, stats, and thier content.')
              .'<br/>'
              .t('The User Details module is broken up into two blocks: logged-in and authored by.');
  $loggedin_header = '<hr>'
                     .'<h2>'
                     .t('Logged-in Settings')
                     .'</h2>';
  $authored_header = '<hr>'
                     .'<h2>'
                     .t('Authored Settings')
                     .'</h2>'; 

  $form['overview'] = array(
    '#markup' => $overview,
  );
  $form['loggedin_header'] = array(
    '#markup' => $loggedin_header,
  );
  $form['loggedin_stats'] = array(
    '#type' => 'fieldset',
    '#title' => 'User Stats.',
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_stats']['user_details_loggedin_avatar'] = array(
    '#type' => 'checkbox',
    '#title' => t('User Avatar'),
    '#default_value' => variable_get('user_details_loggedin_avatar', FALSE),
    '#description' => t('Displays the Avatar of the logged-in user, if any is available.  Pulled from the User Profile.')
  );
  $form['loggedin_stats']['user_details_loggedin_joined'] = array(
    '#type' => 'checkbox',
    '#title' => t('User Joined'),
    '#default_value' => variable_get('user_details_loggedin_joined', FALSE),
    '#description' => t('Displays the date a user joined the website.  Pulled from the User Profile.')
  );
  if (module_exists('userpoints')) {
    $form['loggedin_stats']['user_details_loggedin_points'] = array(
      '#type' => 'checkbox',
      '#title' => t('User Points'),
      '#default_value' => variable_get('user_details_loggedin_points', FALSE),
      '#description' => t('Displays the user points amount.'),
      '#disabled' => FALSE,
    );
  }
  else {
    $form['loggedin_stats']['user_details_loggedin_points'] = array(
      '#type' => 'checkbox',
      '#title' => t('User Points'),
      '#default_value' => variable_get('user_details_loggedin_points', FALSE),
      '#description' => t('Displays the user points amount. Please install <a href="http://drupal.org/project/userpoints">User Points</a>'),
      '#disabled' => TRUE,
    );
  } 
  $form['loggedin_stats']['user_details_loggedin_rank'] = array(
    '#type' => 'checkbox',
    '#title' => t('User Rank'),
    '#default_value' => variable_get('user_details_loggedin_rank', FALSE),
    '#description' => t('Displays the user rank.'),
  );
  if (module_exists('privatemsg')) {
    $form['loggedin_stats']['user_details_loggedin_privatemsg_count'] = array(
      '#type' => 'checkbox',
      '#title' => t('Unread Messages'),
      '#default_value' => variable_get('user_details_loggedin_privatemsg_count', FALSE),
      '#description' => t('Displays the unread messages from the Private Messages module.'),
      '#disabled' => FALSE,
    );
  }
  else {
    $form['loggedin_stats']['user_details_loggedin_privatemsg_count'] = array(
      '#type' => 'checkbox',
      '#title' => t('Unread Messages'),
      '#default_value' => variable_get('user_details_loggedin_privatemsg_count', FALSE),
      '#description' => t('Displays the unread messages from the Private Messages module. Please install <a href="http://drupal.org/project/privatemsg">Private Messages</a>'),
      '#disabled' => TRUE,
    );
  }

  //Links Options
  $form['loggedin_links'] = array(
    '#type' => 'fieldset',
    '#title' => 'Links.',
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_links']['user_details_loggedin_profilelink'] = array(
    '#type' => 'checkbox',
    '#title' => t('Profile Link'),
    '#default_value' => variable_get('user_details_loggedin_profilelink', FALSE),
    '#description' => t('Offers the user a link to their profile.')
  );
  $form['loggedin_links']['user_details_loggedin_profileeditlink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Profile Edit Link'),
      '#default_value' => variable_get('user_details_loggedin_profileeditlink', FALSE),
      '#description' => t('Offers the user a link to their edit profile tab.')
  );
  if (module_exists('subscriptions')) {
    $form['loggedin_links']['user_details_loggedin_subscriptionslink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Subscriptions Link'),
      '#default_value' => variable_get('user_details_loggedin_subscriptionslink', FALSE),
      '#description' => t('Displays a quick link to the logged-in users subscription tab on thier user profile.'),
      '#disabled' => FALSE,
    );
  }
  else {
    $form['loggedin_links']['user_details_loggedin_subscriptionslink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Subscriptions Link (please install <a href="http://drupal.org/project/subscriptions">Subscriptions</a>.)'),
      '#default_value' => variable_get('user_details_loggedin_subscriptionslink', FALSE),
      '#description' => t('Displays a quick link to the logged-in users subscription tab on thier user profile.'),
      '#disabled' => TRUE,
    );
  }
  if (module_exists('privatemsg')) {
    $form['loggedin_links']['user_details_loggedin_privatemsglink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Private Message Link'),
      '#default_value' => variable_get('user_details_loggedin_privatemsglink', FALSE),
      '#description' => t('Displays a quick link to the logged-in users private message tab on thier user profile.'),
      '#disabled' => FALSE,
    );
  }
  else {
    $form['loggedin_links']['user_details_loggedin_privatemsglink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Private Message Link (please install <a href="http://drupal.org/project/privatemsg">Private Message</a>.)'),
      '#default_value' => variable_get('user_details_loggedin_privatemsglink', FALSE),
      '#description' => t('Displays a quick link to the logged-in users private message tab on thier user profile.'),
      '#disabled' => TRUE,
    );
  }
  $form['loggedin_links']['user_details_loggedin_createlink'] = array(
    '#type' => 'checkbox',
    '#title' => t('Create Content Link'),
    '#default_value' => variable_get('user_details_loggedin_createlink', FALSE),
    '#description' => t('Offers the user a link to create content.'),
  );
  $form['loggedin_links']['user_details_loggedin_adminlink'] = array(
    '#type' => 'checkbox',
    '#title' => t('Admin link'),
    '#default_value' => variable_get('user_details_loggedin_adminlink', FALSE),
    '#description' => t('Adds a link to for the admin section to the quick links section.')
  );
  $form['loggedin_links']['user_details_loggedin_logoutlink'] = array(
    '#type' => 'checkbox',
    '#title' => t('Logout Link'),
    '#default_value' => variable_get('user_details_loggedin_logoutlink', FALSE),
    '#description' => t('Offers the user a link to log-out.')
  );

  //Custom Link One Options
  $form['loggedin_links']['custom_link_one'] = array(
    '#type' => 'fieldset',
    '#title' => t('Custom Link One'),
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_links']['custom_link_one']['user_details_loggedin_customlinkone'] = array(
    '#type' => 'checkbox',
    '#title' => t('Custom Link One.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkone', FALSE),
    '#description' => t('Check to use "Custom Link One".')
  );
  $form['loggedin_links']['custom_link_one']['user_details_loggedin_customlinkone_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link One: url path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkone_url', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_one']['user_details_loggedin_customlinkone_imgsrc'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link One: image path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkone_imgsrc', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_one']['user_details_loggedin_customlinkone_imgtitle'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link One: mouse-over tooltip.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkone_imgtitle', ''),
    '#size' => 100,
    '#maxlength' => 500,
  );
  //Custom Link Two Options
  $form['loggedin_links']['custom_link_two'] = array(
    '#type' => 'fieldset',
    '#title' => t('Custom Link Two'),
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_links']['custom_link_two']['user_details_loggedin_customlinktwo'] = array(
    '#type' => 'checkbox',
    '#title' => t('Custom Link Two.'),
    '#default_value' => variable_get('user_details_loggedin_customlinktwo', FALSE),
    '#description' => t('Check to use "Custom Link Two".')
  );
  $form['loggedin_links']['custom_link_two']['user_details_loggedin_customlinktwo_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Two: url path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinktwo_url', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_two']['user_details_loggedin_customlinktwo_imgsrc'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Two: image path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinktwo_imgsrc', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_two']['user_details_loggedin_customlinktwo_imgtitle'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Two: mouse-over tooltip.'),
    '#default_value' => variable_get('user_details_loggedin_customlinktwo_imgtitle', ''),
    '#size' => 100,
    '#maxlength' => 500,
  );
  //Custom Link Three Options
  $form['loggedin_links']['custom_link_three'] = array(
    '#type' => 'fieldset',
    '#title' => t('Custom Link Three'),
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_links']['custom_link_three']['user_details_loggedin_customlinkthree'] = array(
    '#type' => 'checkbox',
    '#title' => t('Custom Link Three.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkthree', FALSE),
    '#description' => t('Check to use "Custom Link Three".')
  );
  $form['loggedin_links']['custom_link_three']['user_details_loggedin_customlinkthree_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Three: url path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkthree_url', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_three']['user_details_loggedin_customlinkthree_imgsrc'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Three: image path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkthree_imgsrc', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_three']['user_details_loggedin_customlinkthree_imgtitle'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Three: mouse-over tooltip.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkthree_imgtitle', ''),
    '#size' => 100,
    '#maxlength' => 500,
  );
  
  //Custom Link Four Options
  $form['loggedin_links']['custom_link_four'] = array(
    '#type' => 'fieldset',
    '#title' => t('Custom Link Four'),
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_links']['custom_link_four']['user_details_loggedin_customlinkfour'] = array(
    '#type' => 'checkbox',
    '#title' => t('Custom Link Four.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfour', FALSE),
    '#description' => t('Check to use "Custom Link Four".')
  );
  $form['loggedin_links']['custom_link_four']['user_details_loggedin_customlinkfour_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Four: url path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfour_url', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_four']['user_details_loggedin_customlinkfour_imgsrc'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Four: image path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfour_imgsrc', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_four']['user_details_loggedin_customlinkfour_imgtitle'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Four: mouse-over tooltip.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfour_imgtitle', ''),
    '#size' => 100,
    '#maxlength' => 500,
  );  
  //Custom Link Five Options
  $form['loggedin_links']['custom_link_five'] = array(
    '#type' => 'fieldset',
    '#title' => t('Custom Link Five'),
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['loggedin_links']['custom_link_five']['user_details_loggedin_customlinkfive'] = array(
    '#type' => 'checkbox',
    '#title' => t('Custom Link Five.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfive', FALSE),
    '#description' => t('Check to use "Custom Link Five".')
  );
  $form['loggedin_links']['custom_link_five']['user_details_loggedin_customlinkfive_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Five: url path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfive_url', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_five']['user_details_loggedin_customlinkfive_imgsrc'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Five: image path.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfive_imgsrc', ''),
    '#description' => t('It is the URL relative to your drupal install. Do not include your domain name.(http://www.example.com)'),
    '#size' => 100,
    '#maxlength' => 500,
  );
  $form['loggedin_links']['custom_link_five']['user_details_loggedin_customlinkfive_imgtitle'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Link Five: mouse-over tooltip.'),
    '#default_value' => variable_get('user_details_loggedin_customlinkfive_imgtitle', ''),
    '#size' => 100,
    '#maxlength' => 500,
  );

  //Content Options
  $form['loggedin_content'] = array(
    '#type' => 'fieldset',
    '#title' => 'Content.',
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );    
  $form['loggedin_content']['user_details_loggedin_postcount'] = array(
    '#type' => 'checkbox',
    '#title' => t('Post count'),
    '#default_value' => variable_get('user_details_loggedin_postcount', FALSE),
    '#description' => t('Displays the logged-in users current number of posts.'),
  );   
  $form['loggedin_content']['user_details_loggedin_content'] = array(
    '#type' => 'checkbox',
    '#title' => t('User content'),
    '#default_value' => variable_get('user_details_loggedin_content', FALSE),
    '#description' => t('Lists the last 3 updated nodes by the loggedin user.')
  );
  $form['loggedin_content']['user_details_loggedin_contentamount'] = array(
    '#type' => 'textfield',
    '#title' => t('User content amount'),
    '#default_value' => variable_get('user_details_loggedin_contentamount', 3),
    '#size' => 2,
    '#maxlength' => 2,
    '#required' => TRUE,
    '#description' => t('Changes the number of recent items listed for User content field.')
  );
//Authored options
  $form['authored_header'] = array(
    '#markup' => $authored_header,
  );
  $form['authored_stats'] = array(
    '#type' => 'fieldset',
    '#title' => 'User Stats.',
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['authored_links'] = array(
    '#type' => 'fieldset',
    '#title' => 'Links.',
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  $form['authored_content'] = array(
    '#type' => 'fieldset',
    '#title' => 'User Content.',
    '#collapsible' => 'true',
    '#collapsed' => 'true',
  );
  // Options checkboxes.
  $form['authored_stats']['user_details_authored_avatar'] = array(
    '#type' => 'checkbox',
    '#title' => t('User Avatar'),
    '#default_value' => variable_get('user_details_authored_avatar', FALSE),
    '#description' => t('Displays the user avatar of the node author.')
  );
  $form['authored_stats']['user_details_authored_joined'] = array(
    '#type' => 'checkbox',
    '#title' => t('Joined Date'),
    '#default_value' => variable_get('user_details_authored_joined', FALSE),
    '#description' => t('Displays the joined date of the node author.')
  );
  $form['authored_content']['user_details_authored_postcount'] = array(
    '#type' => 'checkbox',
    '#title' => t('Post Count'),
    '#default_value' => variable_get('user_details_authored_postcount', FALSE),
    '#description' => t('Displays the post count of the node author.'),
  );
  if (module_exists('userpoints')) {
    $form['authored_stats']['user_details_authored_points'] = array(
      '#type' => 'checkbox',
      '#title' => t('User Points'),
      '#default_value' => variable_get('user_details_authored_points', FALSE),
      '#description' => t('Displays the user points amount.'),
      '#disabled' => FALSE,
    );
  }
  else {
    $form['authored_stats']['user_details_authored_points'] = array(
      '#type' => 'checkbox',
      '#title' => t('User Points'),
      '#default_value' => variable_get('user_details_authored_points', FALSE),
      '#description' => t('Displays the user points amount. Please install <a href="http://drupal.org/project/userpoints">User Points</a>'),
      '#disabled' => TRUE,
    );
  }
  $form['authored_stats']['user_details_authored_rank'] = array(
    '#type' => 'checkbox',
    '#title' => t('User Rank'),
    '#default_value' => variable_get('user_details_authored_rank', FALSE),
    '#description' => t('Displays the user\'s role.'),
  );
  $form['authored_links']['user_details_authored_profilelink'] = array(
    '#type' => 'checkbox',
    '#title' => t('Profile Link'),
    '#default_value' => variable_get('user_details_authored_profilelink', FALSE),
    '#description' => t('Displays a profile link of the node author.')
  );
  if (module_exists('privatemsg')) {
    $form['authored_links']['user_details_authored_privatemsglink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Private Message Link'),
      '#default_value' => variable_get('user_details_authored_privatemsglink', FALSE),
      '#description' => t('Displays a quick link to message the author using the Private Message module.'),
      '#disabled' => FALSE,
    );
  }
  else {
    $form['authored_links']['user_details_authored_privatemsglink'] = array(
      '#type' => 'checkbox',
      '#title' => t('Private Message Link (please install <a href="http://drupal.org/project/privatemsg">Private Message</a>.)'),
      '#default_value' => variable_get('user_details_authored_privatemsglink', FALSE),
      '#description' => t('Displays a quick link to message the author using the Private Message module.'),
      '#disabled' => TRUE,
    );
  }
  $form['authored_content']['user_details_authored_content'] = array(
    '#type' => 'checkbox',
    '#title' => t('User content'),
    '#default_value' => variable_get('user_details_authored_content', FALSE),
    '#description' => t('Displays the content of the node author.')
  );
  $form['authored_content']['user_details_authored_contentamount'] = array(
    '#type' => 'textfield',
    '#title' => t('User content amount'),
    '#default_value' => variable_get('user_details_authored_contentamount', 3),
    '#size' => 2,
    '#maxlength' => 2,
    '#required' => TRUE,
    '#description' => t('Changes the number of recent items listed for User content field.')
  );
  return system_settings_form($form);
}
?>